Netze Netz aus Form erstellen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Mesh FromPartShape and the translation is 69% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Mesh ExportMesh.png Export Mesh

Mesh MeshFromShape.png Mesh MeshFromShape

Menüeintrag
Netze → Netz aus Form erstellen...
Arbeitsbereich
Netze
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch


Einführung

Dieses Tool erstellt ein Netz aus einer Form.

Anwendung

  1. Wählen Sie das Formobjekt.
  2. Wähle NetzMesh Mesh from Shape.svg Netz aus Form erstellen... aus dem Hauptmenü.
  3. Ein Menü fragt nach dem zu verwendenden Vernetzer und den passenden Werten für den Vernetzer


Wenn Sie nur NetzMesh Mesh from Shape.svg Netz aus Form erstellen... wählen können Sie im nachhinein eine Form zum vernetzen wählen.

Scripting

Bemerkungen



Mesh Mesher Standard.jpg

Oberflächenabweichung: Wenn diese Zahl kleiner ist, wird das Netz feiner. Kleinster Wert ist 0,001.

Mesh Mesher Mefisto.jpg

Maximale Kantenlänge: Wenn diese Zahl kleiner ist, wird das Netz feiner. Der kleinste Wert ist 0,000.

Mesh Mesher Netgen.jpg

Sie können wählen zwischen:

  • Sehr grob
  • Grob
  • Mittel
  • Fein
  • Sehr fein
  • Benutzerdefiniert

Für ein Netz, das "benutzerdefiniert" ist, können Sie folgende Werte einstellen:

    • Mesh Größensortierung: Wenn dieser Parameter kleiner ist wird das Netz feiner. Ein Wert im Bereich von 0,1-10.
    • Element pro Kante: Wenn dieser Parameter größer ist, wird das Netz feiner. Ein Wert im Bereich von 0,1-10.
    • Element pro Krümmungsradius: Wenn dieser Parameter größer ist, wird das Netz feiner. Ein Wert im Bereich von 0,1-10.
      Für jede Hauptoption können Sie auch wählen:
  • Oberfläche optimieren: Ob die Oberflächenform optimiert wird.
  • Elemente zweiter Ordnung: Ob Elemente zweiter Ordnung erzeugt werden.
  • Quad dominiert: Ob Maschen wie Hexaeder angeordnet werden.

Standard Vernetzer

Mefisto Vernetzer

Netgen Mesher

Dieses Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Beispiel:

Arrow-left.svg Mesh ExportMesh.png Netz exportieren Vorherige:
Nächste: Krümmungsplot Mesh CurvaturePlot.png Arrow-right.svg
Arrow-left.svg Mesh ExportMesh.png Netz exportieren Vorherige:
Nächste: Krümmungsplot Mesh CurvaturePlot.png Arrow-right.svg
MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

Notes

Arrow-left.svg Previous: Mesh ExportMesh.png Export Mesh